安装 PHP event 扩展后报错;

老城根

问题描述

这里详细描述问题
安装 PHP event 扩展后报错;
pcntl_signal() has been disabled for security reasons in file /www/wwwroot//vendor/workerman/workerman/Worker.php on line 1109
pcntl_signal() has been disabled for security reasons in file /www/wwwroot/
/vendor/workerman/workerman/Worker.php on line 1109
…………
按照提示:放开pcntl_***** 开头的所有禁用函数,依旧包下面错误,可以肯定是pcntl_fork()已经解除禁用
pcntl_fork() has been disabled for security reasons

最后:删除 PHP的event扩展后,报错消失,运行正常。

workerman运行必须要以来event扩展么。上面的问题如何解决,求助大家。

177 1 0
1个回答

walkor

php.ini文件搞错了,执行命令 php --ini 找到正确的php.ini文件

  • 暂无评论
🔝